# 📦 aSOL: Aggregate Stake Pool

[![License](https://img.shields.io/badge/license-AGPL%203.0-blue)](https://github.com/aSolHQ/asol/blob/master/LICENSE)
[![Build Status](https://img.shields.io/github/workflow/status/aSolHQ/asol/E2E/master)](https://github.com/aSolHQ/asol/actions/workflows/programs-e2e.yml?query=branch%3Amaster)
[![Contributors](https://img.shields.io/github/contributors/aSolHQ/asol)](https://github.com/aSolHQ/asol/graphs/contributors)

![aSOL](/images/banner.jpeg)

aSOL is an unbiased stake pool aggregator built to tackle one goal: to ensure all SOL on Solana is staked into stake pools.

We're in active development. For the latest updates, please join our community:

- Twitter: https://twitter.com/aSOLprotocol

## Packages

| Package       | Description                        | Version                                                                                           | Docs                                                                                |
| :------------ | :--------------------------------- | :------------------------------------------------------------------------------------------------ | :---------------------------------------------------------------------------------- |
| `asol`        | aSol aggregate staked SOL token    | [![Crates.io](https://img.shields.io/crates/v/asol)](https://crates.io/crates/asol)               | [![Docs.rs](https://docs.rs/asol/badge.svg)](https://docs.rs/asol)                  |
| `lido-anchor` | Lido stake pool Anchor client      | [![Crates.io](https://img.shields.io/crates/v/lido-anchor)](https://crates.io/crates/lido-anchor) | [![Docs.rs](https://docs.rs/lido-anchor/badge.svg)](https://docs.rs/lido-anchor)    |
| `marinade`    | Marinade stake pool Anchor client. | [![Crates.io](https://img.shields.io/crates/v/marinade)](https://crates.io/crates/marinade)       | [![Docs.rs](https://docs.rs/marinade/badge.svg)](https://docs.rs/marinade)          |
| `@asolhq/sdk` | TypeScript SDK for aSOL            | [![npm](https://img.shields.io/npm/v/@asolhq/sdk.svg)](https://www.npmjs.com/package/@asolhq/sdk) | [![Docs](https://img.shields.io/badge/docs-typedoc-blue)](https://docs.asol.so/ts/) |

## Note

- **aSOL is in active development, so all APIs are subject to change.**
- **This code is unaudited. Use at your own risk.**

## Contribution

Thank you for your interest in contributing to aSOL Protocol! All contributions are welcome no
matter how big or small. This includes (but is not limited to) filing issues,
adding documentation, fixing bugs, creating examples, and implementing features.

If you'd like to contribute, please claim an issue by commenting, forking, and
opening a pull request, even if empty. This allows the maintainers to track who
is working on what issue as to not overlap work.

For simple documentation changes, feel free to just open a pull request.

If you're considering larger changes or self motivated features, please file an issue
and engage with the maintainers by messaging them on [Keybase](https://keybase.io/0xaurelion).

## License

aSOL Protocol is licensed under [the Affero GPL 3.0 license](/LICENSE.txt).

Unless you explicitly state otherwise, any contribution intentionally submitted for inclusion in aSOL Protocol by you, as defined in the AGPL-3.0 license, shall be licensed as above, without any additional terms or conditions.
